ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase
Keywords: junit.tests.extensions.ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.extensions
Class ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.extensions.ExceptionTestCase
                  junit.tests.extensions.ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase

All Implemented Interfaces:
  Test

Enclosing class:
  ExceptionTestCaseTest

    public static class ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase

extends ExceptionTestCase

Constructor Summary
`ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase(java.lang.String name, java.lang.Class exception)`

Method Summary
`void` | `test()`

Methods inherited from class junit.extensions.ExceptionTestCase
`runTest`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase

    public ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase(java.lang.String name,
                                                               java.lang.Class exception)

Method Detail

### test

    public void test()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD